/**
 * This class contains the code to manage a Vector that contains CourseInfo
 * objects.
 * 
 * @author Patrick Kelley
 */
package CourseCatalog;

import java.util.ArrayList;
import java.util.Collections;
import java.util.*;

public class CourseCatalog {
    private ArrayList<CourseInfo> catalog;
    
    /** Creates a new instance of CourseCatalog */
    public CourseCatalog() {
        catalog = new ArrayList<CourseInfo>();
    }
    
    /** add item to the end */
    public void addCourse(CourseInfo course){
        catalog.add(course);
    }
    
    /** remove item from the beginning */
    public void removeFirstCourse(){
        catalog.remove(0);
    }
    
    /** remove item from the end */
    public void removeLastCourse(){
        catalog.remove(catalog.size() - 1);
    }
    
    /** remove item at a specified index */
    public void removeCourseAt(int index) throws IndexOutOfBoundsException {
        catalog.remove(index);
    }
    
    /** get size of list */
    public int getCatalogSize(){
        return catalog.size();
    }
    
    /** sort the list */
    public void sortCatalog(){
        Collections.sort(catalog);
    }
    
    /** get item at index */
    public CourseInfo getCourseAt(int index){
        return catalog.get(index);
    }
    
    /** get item by value */
    
    /** print the list of items */
    
}
